#
# Copyright (c) 2026, Chloe M.
# Provided under the BSD-3 clause
#
# Description:  Support package build script
# Author:		Chloe M.
#

.SILENT:
include ../mk/stos.mk

CFILES = $(shell find . -name "*.c")
OFILES = $(CFILES:.c=.o)

CFLAGS = 			\
	$(SYS_CFLAGS)	\
	-Ihead			\
	-I$(ST_PROJECT_ROOT)/sdk/head

.PHONY: all
all: $(OFILES)

%.o: %.c
	$(PROMPT) "CC" $<
	$(SYS_CC) -c $(CFLAGS) $< -o $@
